%define upstream_name	 Lingua-EN-Numbers-Ordinate
%define upstream_version 1.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Go from cardinal number (3) to ordinal ("3rd")
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
There are two kinds of numbers in English -- cardinals (1, 2, 3...), and
ordinals (1st, 2nd, 3rd...). This library provides functions for giving the
ordinal form of a number, given its cardinal value.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Lingua
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-3.mga6
+ Revision: 1029148
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.40.0-2.mga6
+ Revision: 968326
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.40.0-1.mga6
+ Revision: 852028
- update to 1.04

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-3.mga5
+ Revision: 746964
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-2.mga5
+ Revision: 685209
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 sander85 <sander85> 1.30.0-1.mga5
+ Revision: 632893
- update to 1.03

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 512486
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 369012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 26431
- mageia rebuild
- imported package perl-Lingua-EN-Numbers-Ordinate


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.20.0-1mdv2010.0
+ Revision: 402569
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.02-8mdv2009.0
+ Revision: 257533
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.02-7mdv2009.0
+ Revision: 245617
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-5mdv2008.1
+ Revision: 137206
- spec cleanup

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-4mdv2008.1
+ Revision: 136999
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 04 2006 Stefan van der Eijk <stefan@mandriva.org> 1.02-3mdv2007.0
+ Revision: 76574
- rebuild
- Import perl-Lingua-EN-Numbers-Ordinate

* Sun Feb 05 2006 Stefan van der Eijk <stefan@eijk.nu> 1.02-2mdk
- Rebuild
- %%mkrel

* Mon Jan 17 2005 Stefan van der Eijk <stefan@mandrakesoft.com> 1.02-1mdk
- New release 1.02

* Fri Nov 28 2003 Stefan van der Eijk <stefan@eijk.nu> 0.01-2mdk
- rpmlint fixes
- revamp .spec file

